## bayer2rgb bayer2rgb |

## Description

Decodes raw camera bayer (fourcc BA81) to RGB.

## Synopsis

### Element Information

plugin | bayer
author | William Brack <wbrack@mmm.com.hk>
class | Filter/Converter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-bayer, format=(string){ bggr, grbg, gbrg, rggb }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ RGBx, xRGB, BGRx, xBGR, RGBA, ARGB, BGRA, ABGR }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values